%define major 2

%define libnamedevold %{mklibname spandsp 0}-devel
%define libname %mklibname spandsp %{major}
%define libnamedev %mklibname spandsp -d
%define libnamestaticdev %mklibname spandsp -d -s
Summary:        Steve's SpanDSP library for telephony spans
Name:           spandsp
Version:        0.0.6
Release:        %mkrel pre20130128.5
License:        GPL
Group:          System/Libraries
URL:            http://www.soft-switch.org/
Source0:        http://www.soft-switch.org/downloads/spandsp/spandsp-20130128.tar.gz
BuildRequires:  audiofile-devel
BuildRequires:  fftw-devel
BuildRequires:  file
BuildRequires:  fltk-devel
BuildRequires:  jpeg-devel
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  tiff-devel

%description
spandsp is a library for DSP in telephony spans. It can perform many of the
common DSP functions, such as the generation and detection of DTMF and
supervisory tones.

%package -n %{libname}
Summary:        Steve's SpanDSP library for telephony spans
Group:          System/Libraries

%description -n %{libname}
spandsp is a library for DSP in telephony spans. It can perform many of the
common DSP functions, such as the generation and detection of DTMF and
supervisory tones.

%package -n %{libnamedev}
Summary:        Header files and libraries needed for development with SpanDSP
Group:          Development/C
Obsoletes:      %{libnamedevold} < %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{libnamedev}
This package includes the header files and libraries needed for developing
programs using SpanDSP.

%package -n %{libnamestaticdev}
Summary:        Static libraries needed for development with SpanDSP
Group:          Development/C
Provides:       %{name}-static-devel = %{version}-%{release}
Requires:       %{libnamedev} = %{version}-%{release}

%description -n %{libnamestaticdev}
This package includes the static libraries needed for developing programs
using SpanDSP.

%prep
%setup -q -n %{name}-0.0.6

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING DueDiligence INSTALL NEWS README
%{_libdir}/lib*.so.%{major}*

%files -n %{libnamedev}
%{_includedir}/spandsp
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Feb 01 2016 umeabot <umeabot> 0.0.6-pre20130128.5.mga6
+ Revision: 930266
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.6-pre20130128.4.mga5
+ Revision: 742245
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.6-pre20130128.3.mga5
+ Revision: 689265
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.0.6-pre20130128.2.mga4
+ Revision: 532977
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 dlucio <dlucio> 0.0.6-pre20130128.1.mga4
+ Revision: 470550
- new svn checkout 20130128

* Fri Jan 18 2013 fwang <fwang> 0.0.6-pre21.1.mga3
+ Revision: 389384
- new pre 21

* Mon Jan 14 2013 umeabot <umeabot> 0.0.6-pre20.1.mga3
+ Revision: 382425
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 25 2012 dlucio <dlucio> 0.0.6-pre20.0.mga2
+ Revision: 226273
- imported package spandsp


* Thu Nov 03 2011 Alexander Khrukin <akhrukin@mandriva.org> 0.0.6-0.pre18mdv2012.0
+ Revision: 713253
- added new files removed old
- pkgconfig fix in spec and version bump

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 0.0.5-0.pre4.2mdv2010.0
+ Revision: 434015
- rebuild

* Tue Jul 22 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-0.pre4.1mdv2009.0
+ Revision: 240865
- 0.0.5pre4

* Wed Jun 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0.4-0.pre7.3mdv2009.0
+ Revision: 225610
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <blino@mandriva.org> 0.0.4-0.pre7.2mdv2008.1
+ Revision: 140850
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 04 2007 David Walluck <walluck@mandriva.org> 0.0.4-0.pre7.2mdv2008.0
+ Revision: 79130
- 0.0.4pre7

* Sat Jul 21 2007 Stefan van der Eijk <stefan@mandriva.org> 0.0.4-0.pre3.2mdv2008.0
+ Revision: 54337
- fix new dev stuff breakage

* Wed Jul 18 2007 David Walluck <walluck@mandriva.org> 0.0.4-0.pre3.1mdv2008.0
+ Revision: 53318
- 0.0.4pre3

